Re: [htdig] Problem compiling htdig on RedHat Linux 5.2


Janine Sisk (janine@furfly.net)
Thu, 01 Jul 1999 11:37:27 -0700


Geoff Hutchison wrote:
> I usually compile important packages like compilers from scratch. I
> believe your problem is that egcs requires libstdc++ 2.9+ In the source,
> this is included. I don't know why the rpm wouldn't have it.

I just went and looked at rpmfind for libstdc++ 2.9, but the only
versions of it up there were for RedHat 6.0, and they won't work for
me. However, this is the version of egcs that came with RedHat 5.2
so maybe it required an older library? Usually the rpms won't
install if you're missing a required piece, but I know you can't
always rely on that.

I tried compling gcc from scratch once, on a Solaris system, and
gave up... every time I tried I ran into another piece I needed,
and when I got the source for that I needed something else to
build it! I started going around in circles; to build A you
need B, to build B you need A. I know it can be done, but I
never figured out how. I discovered sunfreeware.com first. :)

Has anyone out there built this on RedHat 5.2? Do you know what
compiler packages you used to do it?

thanks,

janine

-- 
Janine Sisk, President
furfly.net, LLC - Irvine, CA
Website Design and Hosting
http://www.furfly.net
------------------------------------
To unsubscribe from the htdig mailing list, send a message to
htdig@htdig.org containing the single word "unsubscribe" in
the SUBJECT of the message.



This archive was generated by hypermail 2.0b3 on Thu Jul 01 1999 - 10:53:05 PDT